/*View Deatils Page*/

.tag-link {
    display: inline-block;
    padding: 4px 10px;
    margin: 2px;
    background: #FF5722;
    border-radius: 12px;
    text-decoration: none;
    font-size: 12px;
    color: #f5f3f3;
}

.tag-link:hover {
    background: red;
    color: #fff;
}

.badge {
    padding: 5px 10px;
    font-size: 12px;
    border-radius: 20px;
    color: #fff;
    font-weight: 500;
    display: inline-block;
}

/* Variants */
.badge-success {
    background-color: #28a745; /* Free */
}

.badge-danger {
    background-color: #dc3545; /* Paid */
}

.badge-info {
    background-color: #17a2b8; /* Freemium */
}

.badge-warning {
    background-color: #ffc107;
    color: #000;
}

.badge-primary {
    background-color: #007bff;
}

.badge-secondary {
    background-color: #6c757d;
}





/*List Page*/


.badge {
    padding: 5px 10px;
    font-size: 12px;
    border-radius: 20px;
    color: #fff;
    font-weight: 500;
    display: inline-block;
}

/* Variants */
.badge-success {
    background-color: #28a745;
    /* Free */
}

.badge-danger {
    background-color: #dc3545;
    /* Paid */
}

.badge-info {
    background-color: #17a2b8;
    /* Freemium */
}

.badge-warning {
    background-color: #ffc107;
    color: #000;
}

.badge-primary {
    background-color: #007bff;
}

.badge-secondary {
    background-color: #6c757d;
}

/* Customizing the orange active state/links */
span.page-link,
.page-item.active .page-link {
    background-color: #eb6640 !important;
    border-color: #eb6640 !important;
    color: white !important;
}


.page-link {
    position: relative;
    display: block;
    padding: var(--bs-pagination-padding-y) var(--bs-pagination-padding-x);
    font-size: var(--bs-pagination-font-size);
    color: #eb6640 !important;
    text-decoration: none;
    background-color: var(--bs-pagination-bg);
    border: var(--bs-pagination-border-width) solid var(--bs-pagination-border-color);
    transition: color .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out, box-shadow .15s ease-in-out
}


/**/
/* Center alignment */
.pagination {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
    margin: 15px 0;
    padding: 8px 8px;
    list-style: none;

    /* outer box look */
    background: #373f5100;
    border-radius: 4px;
    /*box-shadow: 0 4px 10px rgba(0,0,0,0.08);*/
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
}


/*.pagination:last-child .page-link{font-size: 32px}*/

/* Page item */
.page-item {
    display: inline-block;
    /*border: 1px solid #ccc;*/
    background: #ccc;
    border-radius: 4px;
}

/* Links */
.page-link {
    display: flex;
    align-items: center;
    justify-content: center;
    min-width: 38px;
    height: 38px;
    padding: 0 12px;

    text-decoration: none;
    color: #888;
    border-radius: 4px;
    border: none;
    background: transparent;

    font-weight: 500;
    transition: all 0.25s ease;
}

/* Hover */
.page-link:hover {
    background: #e0e0e0;
    color: #333;
}

/* Active */
.page-item.active .page-link {
    background: #3b82f6;
    color: #fff;
    box-shadow: 0 2px 6px rgba(59, 130, 246, 0.4);
}

/* Disabled */
.page-item.disabled .page-link {
    opacity: 0.4;
    pointer-events: none;
}

/* Previous / Next arrows */
.page-link[aria-label] {
    font-size: 32px;
}


.pegination_sec .page-item:first-child .page-link,
.page-item:last-child .page-link,
.pagination-custom .page-link {
    margin: 0;
    padding: 0px;
}